Bug 12725 - добавить зависимостей/каталог чтоб работало "из коробки"
: добавить зависимостей/каталог чтоб работало "из коробки"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lighttpd)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 14491
  Show dependency tree
 
Reported: 2007-09-08 20:10 by
Modified: 2008-06-17 00:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-08 20:10:26
Засунул lighttpd в минимальный VE.
lighttpd "из коробки" не стартанул, по причине отсутствия /var/www/html

добавить зависимостей, или может по подобию anonftp какой сочинить? (чтоб сходу 
работало и было всё, что нужно)
------- Comment #1 From 2007-09-11 09:25:55 -------
Вы считаете, что пакет с содержимым `rpm -ql apache-common` стоит добавлять в
зависимости? Мне кажется, там много лишнего.
------- Comment #2 From 2007-09-11 15:22:45 -------
Я преднамеренно ничего не написал про apache-common.
Просто хочется чтоб поставил, стартонул и работало.

PS
по-хорошему надо как-то web-policy какой-то.
------- Comment #3 From 2007-09-11 16:36:31 -------
Да, web-policy давно уже назревает. Я думаю, пора некоторые положения уже
написать на wiki.
------- Comment #4 From 2008-01-29 09:17:53 -------
Можно сделать костыль в инит-скрипте в виде
[ -d /var/www/html ] || mkdir -p /var/www/html
------- Comment #5 From 2008-01-29 09:45:49 -------
Как временный вариант, думаю можно и костыль
------- Comment #6 From 2008-03-14 12:38:17 -------
Fixed in 1.4.19-alt3.

http://git.altlinux.org/people/vvk/packages/lighttpd.git?p=lighttpd.git;a=commitdiff;h=db0bf4bdd3525ae7426e6d95314e0346acb7e026

Т.е. при старте демона произврдится проверка на существование document root, и
если её нет, производится её создание.
------- Comment #7 From 2008-06-17 00:55:25 -------
закрываем